Package org.springframework.beans.factory.config

# Class ConstructorArgumentValues.ValueHolder

java.lang.Object
org.springframework.beans.factory.config.ConstructorArgumentValues.ValueHolder

All Implemented Interfaces:
  `BeanMetadataElement`

Enclosing class:
  ConstructorArgumentValues

public static class ConstructorArgumentValues.ValueHolder extends Object implements BeanMetadataElement
Holder for a constructor argument value, with an optional type attribute indicating the target type of the actual constructor argument.

## Constructor Summary

Constructors
Constructor
Description
`ValueHolder(Object value)`
Create a new ValueHolder for the given value.
`ValueHolder(Object value, String type)`
Create a new ValueHolder for the given value and type.
`ValueHolder(Object value, String type, String name)`
Create a new ValueHolder for the given value, type and name.

## Method Summary

Modifier and Type
Method
Description
`ConstructorArgumentValues.ValueHolder`
`copy()`
Create a copy of this ValueHolder: that is, an independent ValueHolder instance with the same contents.
`Object`
`getConvertedValue()`
Return the converted value of the constructor argument, after processed type conversion.
`String`
`getName()`
Return the name of the constructor argument.
`Object`
`getSource()`
Return the configuration source `Object` for this metadata element (may be `null`).
`String`
`getType()`
Return the type of the constructor argument.
`Object`
`getValue()`
Return the value for the constructor argument.
`boolean`
`isConverted()`
Return whether this holder contains a converted value already (`true`), or whether the value still needs to be converted (`false`).
`void`
`setConvertedValue(Object value)`
Set the converted value of the constructor argument, after processed type conversion.
`void`
`setName(String name)`
Set the name of the constructor argument.
`void`
`setSource(Object source)`
Set the configuration source `Object` for this metadata element.
`void`
`setType(String type)`
Set the type of the constructor argument.
`void`
`setValue(Object value)`
Set the value for the constructor argument.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueHolder

public ValueHolder(@Nullable Object value)
Create a new ValueHolder for the given value.

Parameters:
  `value` - the argument value

### ValueHolder

public ValueHolder(@Nullable Object value, @Nullable String type)
Create a new ValueHolder for the given value and type.

Parameters:
  `value` - the argument value
  `type` - the type of the constructor argument

### ValueHolder

public ValueHolder(@Nullable Object value, @Nullable String type, @Nullable String name)
Create a new ValueHolder for the given value, type and name.

Parameters:
  `value` - the argument value
  `type` - the type of the constructor argument
  `name` - the name of the constructor argument

## Method Details

### setValue

public void setValue(@Nullable Object value)
Set the value for the constructor argument.

### getValue

@Nullable public Object getValue()
Return the value for the constructor argument.

### setType

public void setType(@Nullable String type)
Set the type of the constructor argument.

### getType

@Nullable public String getType()
Return the type of the constructor argument.

### setName

public void setName(@Nullable String name)
Set the name of the constructor argument.

### getName

@Nullable public String getName()
Return the name of the constructor argument.

### setSource

public void setSource(@Nullable Object source)
Set the configuration source `Object` for this metadata element.

The exact type of the object will depend on the configuration mechanism used.

### getSource

@Nullable public Object getSource()
Description copied from interface: `BeanMetadataElement`
Return the configuration source `Object` for this metadata element (may be `null`).

Specified by:
  `getSource` in interface `BeanMetadataElement`

### isConverted

public boolean isConverted()
Return whether this holder contains a converted value already (`true`), or whether the value still needs to be converted (`false`).

### setConvertedValue

public void setConvertedValue(@Nullable Object value)
Set the converted value of the constructor argument, after processed type conversion.

### getConvertedValue

@Nullable public Object getConvertedValue()
Return the converted value of the constructor argument, after processed type conversion.

### copy

public ConstructorArgumentValues.ValueHolder copy()
Create a copy of this ValueHolder: that is, an independent ValueHolder instance with the same contents.